using Unity.Burst;
using Unity.Entities;
using Unity.NetCode;
using UnityEngine;

[WorldSystemFilter(WorldSystemFilterFlags.ClientSimulation | WorldSystemFilterFlags.ThinClientSimulation)]
partial struct TestNetcodeEntitiesClientSystem : ISystem {

    [BurstCompile]
    public void OnUpdate(ref SystemState state) {
        if (Input.GetKeyDown(KeyCode.T)) {
            Entity rpcEntity = state.EntityManager.CreateEntity();
            state.EntityManager.AddComponentData(rpcEntity, new SimpleRpc {
                value = 56,
            });
            state.EntityManager.AddComponentData(rpcEntity, new SendRpcCommandRequest());
        }
    }

}